Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util.processor
Class AbstractProcessor

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.processor.AbstractProcessor`

All Implemented Interfaces:
  InvocableMap.EntryProcessor, java.io.Serializable

Direct Known Subclasses:
  CompositeProcessor, ConditionalProcessor, ConditionalPut, ConditionalPutAll, ConditionalRemove, ExtractorProcessor, NullImplementation.NullEntryProcessor, PreloadRequest, PropertyProcessor, UpdaterProcessor, VersionedPut, VersionedPutAll

      public abstract class AbstractProcessor

extends Base
implements InvocableMap.EntryProcessor

An AbstractProcessor is a partial EntryProcessor implementation that provides the default implementation of the `processAll(java.util.Set)` method.

Since:
  Coherence 3.1
Author:
  cp/jh 2005.07.19

Constructor Summary
`AbstractProcessor()`

Method Summary
`java.util.Map` | `processAll(java.util.Set setEntries)` Process a Set of InvocableMap.Entry objects.

Methods inherited from interface com.tangosol.util.InvocableMap.EntryProcessor
`process`

Constructor Detail

### AbstractProcessor

    public AbstractProcessor()

Method Detail

### processAll

    public java.util.Map processAll(java.util.Set setEntries)

  Process a Set of InvocableMap.Entry objects. This method is semantically equivalent to:

         Map mapResults = new ListMap();
         for (Iterator iter = setEntries.iterator(); iter.hasNext(); )
             {
             Entry entry = (Entry) iter.next();
             mapResults.put(entry.getKey(), process(entry));
             }
         return mapResults;

  Note: if processAll() call throws an exception, entries that were removed from the setEntries would be considered successfully processed and corresponding changes will be made to the underlying Map.
  Specified by:
    `processAll` in interface `InvocableMap.EntryProcessor`
  Parameters:
    `setEntries` - a Set of InvocableMap.Entry objects to process
  Returns:
    a Map containing the results of the processing, up to one entry for each InvocableMap.Entry that was processed, keyed by the keys of the Map that were processed, with a corresponding value being the result of the processing for each key

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.